com.holonplatform.vaadin.flow.components.builders

## Interface HasLabelConfigurator<C extends HasLabelConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Known Subinterfaces:
    BaseTemporalInputConfigurator<D,C>, BooleanInputBuilder, BooleanInputConfigurator<C>, DateInputBuilder, DateInputConfigurator<C>, DateTimeInputBuilder, DateTimeInputConfigurator<C>, FilterableSingleSelectConfigurator<T,ITEM,B>, FilterableSingleSelectConfigurator.DatastoreFilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.DatastoreFilterableSingleSelectInputConfigurator<T,ITEM,C>, FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputConfigurator<T,C>, FilterableSingleSelectConfigurator.FilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.FilterableSingleSelectInputConfigurator<T,ITEM,D,C>, FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputConfigurator<T,D,C>, FilterableSingleSelectConfigurator.ValidatableDatastoreFilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.ValidatableDatastorePropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.ValidatableFilterableSingleSelectInputBuilder<T,ITEM>, FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>, HasLabelConfigurator.BaseHasLabelConfigurator, LocalDateInputBuilder, LocalDateInputConfigurator<C>, LocalDateTimeInputBuilder, LocalDateTimeInputConfigurator<C>, LocalTimeInputBuilder, LocalTimeInputConfigurator<C>, NumberInputBuilder<T>, NumberInputConfigurator<T,C>, OptionsMultiSelectConfigurator<T,ITEM,B>, OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputConfigurator<T,ITEM,C>, OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputConfigurator<T,C>, OptionsMultiSelectConfigurator.OptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.OptionsMultiSelectInputConfigurator<T,ITEM,D,C>, OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputConfigurator<T,D,C>, OptionsMultiSelectConfigurator.ValidatableDatastoreOptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.ValidatableDatastorePropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.ValidatableOptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.ValidatablePropertyOptionsMultiSelectInputBuilder<T>, OptionsSingleSelectConfigurator<T,ITEM,B>, OptionsSingleSelectConfigurator.DatastoreOptionsSingleSelectInputBuilder<T,ITEM>, OptionsSingleSelectConfigurator.DatastoreOptionsSingleSelectInputConfigurator<T,ITEM,C>, OptionsSingleSelectConfigurator.DatastorePropertyOptionsSingleSelectInputBuilder<T>, OptionsSingleSelectConfigurator.DatastorePropertyOptionsSingleSelectInputConfigurator<T,C>, OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>, OptionsSingleSelectConfigurator.OptionsSingleSelectInputConfigurator<T,ITEM,D,C>, OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputBuilder<T>, OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputConfigurator<T,D,C>, OptionsSingleSelectConfigurator.ValidatableDatastoreOptionsSingleSelectInputBuilder<T,ITEM>, OptionsSingleSelectConfigurator.ValidatableDatastorePropertyOptionsSingleSelectInputBuilder<T>, OptionsSingleSelectConfigurator.ValidatableOptionsSingleSelectInputBuilder<T,ITEM>, OptionsSingleSelectConfigurator.ValidatablePropertyOptionsSingleSelectInputBuilder<T>, PasswordInputBuilder, PasswordInputConfigurator<C>, SingleSelectConfigurator<T,ITEM,B>, SingleSelectConfigurator.DatastorePropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.DatastorePropertySingleSelectInputConfigurator<T,C>, SingleSelectConfigurator.DatastoreSingleSelectInputBuilder<T,ITEM>, SingleSelectConfigurator.DatastoreSingleSelectInputConfigurator<T,ITEM,C>, SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.PropertySingleSelectInputConfigurator<T,D,C>, SingleSelectConfigurator.SingleSelectInputBuilder<T,ITEM>, SingleSelectConfigurator.SingleSelectInputConfigurator<T,ITEM,D,C>, SingleSelectConfigurator.ValidatableDatastorePropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>, SingleSelectConfigurator.ValidatablePropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.ValidatableSingleSelectInputBuilder<T,ITEM>, StringAreaInputBuilder, StringAreaInputConfigurator<C>, StringInputBuilder, StringInputConfigurator<C>, ValidatableBooleanInputBuilder, ValidatableDateInputBuilder, ValidatableDateTimeInputBuilder, ValidatableLocalDateInputBuilder, ValidatableLocalDateTimeInputBuilder, ValidatableLocalTimeInputBuilder, ValidatableNumberInputBuilder<T>, ValidatablePasswordInputBuilder, ValidatableStringAreaInputBuilder, ValidatableStringInputBuilder, ViewComponentAdapterBuilder<T>, ViewComponentBuilder<T>, ViewComponentConfigurator<T,C>

      public interface HasLabelConfigurator<C extends HasLabelConfigurator<C>>

  Configurator for `HasLabel` type components.
  Since:
    5.2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `HasLabelConfigurator.BaseHasLabelConfigurator` Base `HasLabelConfigurator`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <C extends com.vaadin.flow.component.HasElement> HasLabelConfigurator.BaseHasLabelConfigurator` | `create(C component, Consumer<String> setLabelOperation)` Create a new `HasLabelConfigurator.BaseHasLabelConfigurator`.
    `static <C extends com.vaadin.flow.component.HasElement> HasLabelConfigurator.BaseHasLabelConfigurator` | `create(C component, Consumer<String> setLabelOperation, HasDeferrableLocalization deferrableLocalization)` Create a new `HasLabelConfigurator.BaseHasLabelConfigurator`.
    `C` | `label(com.holonplatform.core.i18n.Localizable label)` Sets the label text using a `Localizable` message.
    `default C` | `label(String label)` Sets the label text, replacing any previous content.
    `default C` | `label(String defaultLabel, String messageCode, Object... arguments)` Sets the label text using a localizable `messageCode`.

- - ### Method Detail

    - #### label

          C label(com.holonplatform.core.i18n.Localizable label)

      Sets the label text using a `Localizable` message.

      The text value is interpred as plain text and the HTML markup is not supported.

      A `null` value is interpreted as an empty text.

      Parameters:
        `label` - Localizable label text message (may be null)
      Returns:
        this
      See Also:
        `LocalizationProvider`

    - #### label

          default C label(String label)

      Sets the label text, replacing any previous content.

      The text value is interpred as plain text and the HTML markup is not supported.

      A `null` text value is interpreted as an empty text.

      Parameters:
        `label` - The label text to set
      Returns:
        this

    - #### label

          default C label(String defaultLabel,
                          String messageCode,
                          Object... arguments)

      Sets the label text using a localizable `messageCode`.

      The text value is interpred as plain text and the HTML markup is not supported.

      Parameters:
        `defaultLabel` - Default label text if no translation is available for given `messageCode`
        `messageCode` - Label text translation message key
        `arguments` - Optional translation arguments
      Returns:
        this
      See Also:
        `LocalizationProvider`

    - #### create

          static <C extends com.vaadin.flow.component.HasElement> HasLabelConfigurator.BaseHasLabelConfigurator create(C component,
                                                                                                                       Consumer<String> setLabelOperation)

      Create a new `HasLabelConfigurator.BaseHasLabelConfigurator`.
      Type Parameters:
        `C` - Component type
      Parameters:
        `setLabelOperation` - Operation to use to set the component label (not null)
        `component` - Component to configure (not null)
      Returns:
        A new `HasLabelConfigurator.BaseHasLabelConfigurator`

    - #### create

          static <C extends com.vaadin.flow.component.HasElement> HasLabelConfigurator.BaseHasLabelConfigurator create(C component,
                                                                                                                       Consumer<String> setLabelOperation,
                                                                                                                       HasDeferrableLocalization deferrableLocalization)

      Create a new `HasLabelConfigurator.BaseHasLabelConfigurator`.
      Type Parameters:
        `C` - Component type
      Parameters:
        `setLabelOperation` - Operation to use to set the component label (not null)
        `component` - Component to configure (not null)
        `deferrableLocalization` - Optional `HasDeferrableLocalization` reference
      Returns:
        A new `HasLabelConfigurator.BaseHasLabelConfigurator`

Copyright © 2019 The Holon Platform. All rights reserved.